Package docking.widgets.table

# Interface SelectionManager

All Superinterfaces:
  `EventListener`, `ListSelectionModel`, `TableModelListener`

All Known Implementing Classes:
  `RowObjectSelectionManager`

public interface SelectionManager extends ListSelectionModel, TableModelListener
A class to track and restore selections made in a table. We use this in the docking environment primarily due to the heavy usage of filtering for most tables. As tables are filtered, the contents change (and then change back when the filter is removed). It is nice to be able to filter a table, select an item of interest, and then unfilter the table to see that item in more context.

- ## Field Summary

  ### Fields inherited from interface javax.swing.ListSelectionModel

  `MULTIPLE_INTERVAL_SELECTION, SINGLE_INTERVAL_SELECTION, SINGLE_SELECTION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSelectionManagerListener(SelectionManagerListener listener)`
  `void`
  `clearSavedSelection()`
  `void`
  `dispose()`
  `void`
  `removeSelectionManagerListener(SelectionManagerListener listener)`

  ### Methods inherited from interface javax.swing.ListSelectionModel

  `addListSelectionListener, addSelectionInterval, clearSelection, getAnchorSelectionIndex, getLeadSelectionIndex, getMaxSelectionIndex, getMinSelectionIndex, getSelectedIndices, getSelectedItemsCount, getSelectionMode, getValueIsAdjusting, insertIndexInterval, isSelectedIndex, isSelectionEmpty, removeIndexInterval, removeListSelectionListener, removeSelectionInterval, setAnchorSelectionIndex, setLeadSelectionIndex, setSelectionInterval, setSelectionMode, setValueIsAdjusting`

  ### Methods inherited from interface javax.swing.event.TableModelListener

  `tableChanged`

- ## Method Details

  - ### addSelectionManagerListener

    void addSelectionManagerListener(SelectionManagerListener listener)

  - ### removeSelectionManagerListener

    void removeSelectionManagerListener(SelectionManagerListener listener)

  - ### clearSavedSelection

    void clearSavedSelection()

  - ### dispose

    void dispose()